# 32/64bit spec-file
#
%define name	gnome-mplayer
%define version	1.0.8
%define release	%mkrel 2

Summary:	Simple GUI for MPlayer
Summary(de):    Einfaches GUI für Mplayer
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
URL:		http://kdekorte.googlepages.com/gnomemplayer
Source:		%{name}-%{version}.tar.xz
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libgnome2-devel
BuildRequires:  pkgconfig
BuildRequires:  gettext
BuildRequires:	gnomeui2-devel
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:  GConf2-devel
BuildRequires:  libmusicbrainz-devel
BuildRequires:	desktop-file-utils
BuildRequires:  gmtk-devel
BuildRequires:  libpulseaudio-devel
BuildRequires:  libgpod-devel
BuildRequires:	ImageMagick
BuildRequires:	libnotify-devel
BuildRequires:	libalsa-devel
Requires:       hicolor-icon-theme
Requires:	mplayer
Requires:	alsa
Requires:       gtk+3.0

%description
GNOME MPlayer is a simple GUI for MPlayer. It is intended to be a
nice tight player and provide a simple and clean interface to
MPlayer. GNOME MPlayer has a rich API that is exposed via DBus.
Using DBus you can control a single or multiple instances of GNOME
MPlayer from a single command.

%description -l ja
GNOME MPlayer は MPlayer のためのシンプルなグラフィカルユーザーインターフェースです。
MPlayer へのシンプルで明確なインターフェースを提供します。
GNOME MPlayer は DBus 経由で公開されている豊富な API を持っています。
DBus を使って、あなたは1つのコマンドから単一のあるいは複数の GNOME MPlayer のインスタンスを制御できます。


#german
%description -l de
GNOME MPlayer ist, anders als der Name zunächst vermuten lässt, 
kein GNOME-Programm. Vielmehr soll der Name ausdrücken, dass er den 
Human Interface Guidelines des GNOME-Projekts entspricht. GNOME 
MPlayer selbst ist lediglich ein GTK+-Frontend für den MPlayer. Wie 
die meisten Multimediaspieler enthält auch er ein Webbrowser-Plugin 
im Netscape-Format.

Da er auf dem freien Multimediaspieler MPlayer aufbaut, kann er, im 
Gegensatz zu GStreamer-basierten Multimediaspielern wie Totem oder 
Parole, VDPAU zur hardwarebeschleunigten Wiedergabe von Filmen 
nutzen.

%prep
%setup -q


%build
%configure2_5x \
 --enable-gtk3 \
 --disable-nautilus \
 --disable-schemas-compile

%make

%install
rm -rf $RPM_BUILD_ROOT
%ifarch i586
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%endif

%makeinstall_std

desktop-file-install --vendor="" \
	--add-category="X-MandrivaLinux-Multimedia-Video" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#menu icon
mkdir -p $RPM_BUILD_ROOT%_datadir/pixmaps
install -m 644 icons/48x48/%{name}.png $RPM_BUILD_ROOT%_datadir/pixmaps

## zero length docs
find $RPM_BUILD_ROOT%{_docdir}/%{name}/ -size 0 | xargs rm -f


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
%update_desktop_database

%postun
if [ $1 = 0 ]; then
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
%clean_desktop_database


%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_docdir}/%{name}/*
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/man/man1/%{name}.1.bz2
%{_datadir}/gnome-control-center/default-apps/%{name}.xml
%{_datadir}/glib-2.0/schemas/*.xml

%changelog
* Thu Nov 14 2013 pinoc <vogtpet at gmail.com> 1.0.8-2pclos2013
- removed non-needed BR nautilus-devel
- configure acc tomcat, so it builds now

* Sun Mar 24 2013 pinoc <vogtpet at gmail.com> 1.0.8-1pclos2013
- 1.0.8
- fixed setup for 32/64

* Sat Sep 22 2012 Neal <nealbrks0 at gmail dot com> 1.0.6-2pclos2012
- process

* Fri Sep 21 2012 Ken <lxgator@gmail.com> 1.0.6-2pclos2012
- add missing depends gtk+3.0

* Sun Sep 02 2012 Neal <nealbrks0 at gmail dot com> 1.0.6-1pclos2012
- process

* Sat Sep 01 2012 slick50 <lxgator@gmail.com> 1.0.6-1pclos2012
- 1.0.6

* Sat Oct 05 2011 leiche <meisssw01 at gmail.com> 1.0.4-1pclos2011
- 1.0.4
- add german description
- convert archive to tar.xz
- snip changelog

* Mon Aug 31 2009 slick50 <lxgator@gmail.com> 0.9.7-1pclos2009
- 0.9.7

